27
Content-Disposition: inline; filename="
317
Last-Modified: Thu, 18 Sep 2025 11:35:49 GMT
Expires: Sun, 16 Sep 2035 11:35:49 GMT
ETag: "8e76f06a17f378542212fe9fd6d93e37156fa9ce"

os:
 - linux
 - osx
language: c
compiler:
 - clang
 - gcc
before_install:
 # we need a more recent cmake than travis/linux provides (at least 2.8.9):
 - |
     if [ ${TRAVIS_OS_NAME:-'linux'} = 'linux' ]
     then
         echo 'yes' | sudo add-apt-repository ppa:kalakris/cmake
         sudo apt-get update -qq
         sudo apt-get install -qq cmake python3 valgrind
     elif [ ${TRAVIS_OS_NAME:-'linux'} = 'osx' ]
     then
         echo "Building without python3, to make sure that works."
     fi
script:
 - make
 - make test
 - |
     if [ ${TRAVIS_OS_NAME:-'linux'} = 'linux' ]
     then
         make roundtrip_test
         make leakcheck
     fi

0

HTTP/1.0 500 Internal Server Error
Date: Thu, 18 Sep 2025 11:35:49 GMT
Server: OpenBSD httpd
Connection: close
Content-Type: text/html
Content-Length: 518

<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<title>500 Internal Server Error</title>
<style type="text/css"><!--
body { background-color: white; color: black; font-family: 'Comic Sans MS', 'Chalkboard SE', 'Comic Neue', sans-serif; }
hr { border: 0; border-bottom: 1px dashed; }
@media (prefers-color-scheme: dark) {
body { background-color: #1E1F21; color: #EEEFF1; }
a { color: #BAD7FF; }
}
--></style>
</head>
<body>
<h1>500 Internal Server Error</h1>
<hr>
<address>OpenBSD httpd</address>
</body>
</html>
